Subject: Re: [bug#68498] [PATCH] guix-install.sh: Make Guix modules available too.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 Apr 2024 17:26:25 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>>> I'm still somewhat puzzled about why setting GUILE_LOAD[_COMPILED]_PATH
>>> would be a bad idea, but unless someone else decides to chimes some time
>>> soon in I guess we can close this bug.
>>
>> It’s not too bad, but (1) it could break the user’s setup (for instance
>> if they’ve installed some incompatible Guile versions via the host
>> distro and all of a sudden Guile 3.0.9 modules show up in the search
>> path), and (2) one could just as well consider special-casing ‘CPATH’ or
>> ‘GUIX_PYTHONPATH’.

[...]

>> So I think we can close, but again, if I misunderstood how the status
>> quo is a hindrance, I’m open to this change or any other solution.
>
> I don't quite like the status quo where Guix System is different from
> Guix on a foreign distribution for dubious reasons.  Either we expose
> the Guix modules as part of the guix-install.sh or perhaps we can avoid
> exposing them on Guix System, for consistency.
>
> What do you think?

Sorry for the delay.  It’s probably not that big a deal so if you think
this improves user experience, go for it; I don’t want to block this
change.  Worst that can happen is we change our mind and revert it,
that’s OK.

Ludo’.